Package org.apache.wiki.modules

# Class BaseModuleManager

java.lang.Object
org.apache.wiki.modules.BaseModuleManager

All Implemented Interfaces:
  `ModuleManager`

Direct Known Subclasses:
  `DefaultEditorManager`, `DefaultFilterManager`, `DefaultPluginManager`, `DefaultTemplateManager`

public abstract class BaseModuleManager extends Object implements ModuleManager
Superclass for all JSPWiki managers for modules (plugins, etc.).

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.apache.wiki.api.core.Engine`
`m_engine`

### Fields inherited from interface org.apache.wiki.modules.ModuleManager

`PLUGIN_I18N_RESOURCE, PLUGIN_RESOURCE_LOCATION`

## Constructor Summary

Constructors
Constructor
Description
`BaseModuleManager(org.apache.wiki.api.core.Engine engine)`
Constructs the ModuleManager.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`checkCompatibility(WikiModuleInfo info)`
Returns true, if the given module is compatible with this version of JSPWiki.
`protected <T extends WikiModuleInfo>
Collection<WikiModuleInfo>`
`modules(Iterator<T> iterator)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.modules.ModuleManager

`getModuleInfo, modules`

## Field Details

### m_engine

protected final org.apache.wiki.api.core.Engine m_engine

## Constructor Details

### BaseModuleManager

public BaseModuleManager(org.apache.wiki.api.core.Engine engine)
Constructs the ModuleManager.

Parameters:
  `engine` - The Engine which owns this manager.

## Method Details

### checkCompatibility

public boolean checkCompatibility(WikiModuleInfo info)
Returns true, if the given module is compatible with this version of JSPWiki.

Specified by:
  `checkCompatibility` in interface `ModuleManager`
Parameters:
  `info` - The module to check
Returns:
  True, if the module is compatible.

### modules

protected <T extends WikiModuleInfo> Collection<WikiModuleInfo> modules(Iterator<T> iterator)